Package org.eclipse.net4j.util.io

# Class ExtendedDataInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
java.io.DataInputStream
org.eclipse.net4j.util.io.ExtendedDataInputStream

All Implemented Interfaces:
  `Closeable`, `DataInput`, `AutoCloseable`, `ExtendedDataInput`

public class ExtendedDataInputStream extends DataInputStream implements ExtendedDataInput

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

`ExtendedDataInput.Delegating, ExtendedDataInput.Stream`

## Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedDataInputStream(InputStream in)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`readByteArray()`
`<T extends Enum<?>>
T`
`readEnum(Class<T> type)`
`Throwable`
`readException()`
`Object`
`readObject()`
`Object`
`readObject(ClassLoader classLoader)`
`Object`
`readObject(ExtendedIOUtil.ClassResolver classResolver)`
`String`
`readString()`
`int`
`readVarInt()`
`long`
`readVarLong()`
`static InputStream`
`unwrap(InputStream stream)`
`static ExtendedDataInputStream`
`wrap(InputStream stream)`

### Methods inherited from class java.io.DataInputStream

`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

`readObject`

## Constructor Details

### ExtendedDataInputStream

public ExtendedDataInputStream(InputStream in)

## Method Details

### readVarInt

public int readVarInt() throws IOException

Specified by:
  `readVarInt` in interface `ExtendedDataInput`
Throws:
  `IOException`
Since:
  3.7

### readVarLong

public long readVarLong() throws IOException

Specified by:
  `readVarLong` in interface `ExtendedDataInput`
Throws:
  `IOException`
Since:
  3.7

### readByteArray

public byte[] readByteArray() throws IOException

Specified by:
  `readByteArray` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readString

public String readString() throws IOException

Specified by:
  `readString` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readObject

public Object readObject() throws IOException

Specified by:
  `readObject` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readEnum

public <T extends Enum<?>> T readEnum(Class<T> type) throws IOException

Specified by:
  `readEnum` in interface `ExtendedDataInput`
Throws:
  `IOException`
Since:
  3.0

### readException

public Throwable readException() throws IOException

Specified by:
  `readException` in interface `ExtendedDataInput`
Throws:
  `IOException`
Since:
  3.4

### readObject

public Object readObject(ClassLoader classLoader) throws IOException

Specified by:
  `readObject` in interface `ExtendedDataInput`
Throws:
  `IOException`

### readObject

public Object readObject(ExtendedIOUtil.ClassResolver classResolver) throws IOException

Specified by:
  `readObject` in interface `ExtendedDataInput`
Throws:
  `IOException`

### wrap

public static ExtendedDataInputStream wrap(InputStream stream)

### unwrap

public static InputStream unwrap(InputStream stream)